signature CE3DADVMATRIX =
  sig
    structure matr : CE3DMATRIX;
    structure ang  : CE3DANGLE;
    structure vert : CE3DVERTEX;
    structure vec  : CE3DVECTOR;

    (* Special matrices for viewing systems *)
    val viewVectorsRotationMatrix : (vec.t* vec.t)->matr.t;(* FIXME: Not tested! *)
    val inverseViewVectorsRotationMatrix : (vec.t* vec.t)->matr.t;(* FIXME: Not tested! *)

    (* Coordsys mappings *)
    val fromVectorSysMatrix : (vert.vertex* vec.t* vec.t) -> matr.t;
    val toVectorSysMatrix : (vert.vertex* vec.t* vec.t) -> matr.t;
  end;
