signature CE3DANGLE =
  sig
    type angle;

    val deg0   : angle;
    val deg90  : angle;
    val deg180 : angle;
    val deg270 : angle;
    val deg360 : angle;

    val fromInt : int ->angle;
    val fromReal : real->angle;
    val fromRealDeg : real->angle;
  end
;
