signature CE3DVECTOR = (* 3D Vector with addition arithmetics *)
  sig
    include CEADDARITH;
    type vertex;

    val fromVertices : (vertex* vertex) -> t;
    val dotProduct   : (t* t) -> real;
    val crossProduct : (t* t) -> t;
    val vectorLength : t -> real;
    val normalize    : t -> t;
  end
;