structure ce3DAngle : CE3DANGLE =
  struct
    type angle = real;

    structure Math : MATH = Math;
    val deg0   = (0.0) : angle;
    val deg90  = (Math.pi/2.0) : angle;
    val deg180 = (Math.pi) : angle;
    val deg270 = (Math.pi*1.5) : angle;
    val deg360 = (Math.pi*2.0) : angle;
    fun fromInt (intInput : int) =
      (Real.fromInt(intInput) : angle)
    fun fromReal (realInput : real) =
      (realInput : angle)
    fun fromRealDeg (realDeg : real) =
      ((realDeg : angle) * deg360 / 360.0 : angle)
  end                  
  
;
