structure ce3DPoly : CE3DPOLY =
  struct
    structure arr  : ARRAY = Array;
    structure vert : CE3DVERTEX = ce3DVertex;
    structure edg  : CE3DEDGE = ce3DEdge;
    
    type polygon = int list;
    type vertexArray = vert.vertex arr.array;
    type edgeArray = edg.edge arr.array;
    type polygonArray = polygon arr.array;
    type curve = vertexArray * edgeArray;(* FIXME: Should not be an edgeArray... *)
    type polygonMesh = vertexArray * edgeArray * polygonArray;
  end
;
