signature CE3DPRIMITIVEGENERATORS =
  sig
    structure arr : ARRAY;
    structure vert : CE3DVERTEX;
    structure edg : CE3DEDGE;
    structure matr : CE3DMATRIX;
    structure poly : CE3DPOLY;
    structure ang : CE3DANGLE;

    (* These 2 methods should be split into 2 generic generator modules... *)
    val generateSphere : int*int*real -> poly.polygonMesh;
    val generateGrid : int*int -> poly.polygonMesh;
  end
;
