(*signature CECOMPLEXPOL = (* Complex numbers in polar representation (not implemented yet...) *)
  sig
    include CEMULTARITH;
    
    val fromPolar : (real* real) -> t;
    val argPart : t -> real;
    val modPart : t -> real;

  end
;*)

signature CECOMPLEXRECT = (* Complex numbers in rectangular representation *)
  sig
    include CEMULTARITH;
  
    val fromRectangular : (real* real) -> t;(* (realPart, imagPart) *)
    (*val fromRectangular : {real: real, imag: real} -> t;*)
    (*val fromComplexPol  : ceComplexPolar.t *)
    val realPart : t -> real;
    val imagPart : t -> real;
    val realAndImag : t -> (real* real);
    val konjug          : t -> t;
  end
;
